package com.gic.haoban.manage.web.vo.content;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/8/9 3:50 PM
 * @Description
 * @Version
 **/

@JsonIgnoreProperties(ignoreUnknown = true)
public class ContentSettingVO implements Serializable {

    private static final long serialVersionUID = 4050017721050919872L;

    /**
     * 内容配置id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long contentSettingId;
    /**
     * 企业ID
     */
    private String enterpriseId;
    /**
     * 是否开启落地页跳转商城首页 1 开启; 0 关闭
     */
    private Integer mallJumpFlag;
    /**
     * 是否开启落地页跳转穿搭社区首页 1 开启; 0 关闭
     */
    private Integer communityJumpFlag;
    /**
     * 页面标题
     */
    private String showTitle;
    /**
     * 评论开关0关闭1开启
     */
    private Integer commentFlag;
    /**
     * 评论引导文案
     */
    private String commentGuide;
    /**
     * 分享文案
     */
    private String shareCopy;

    /**
     * 商城类型
     * 1 微商城
     * 2 微盟
     */
    private Integer mallShopType;

    /**
     * 微盟商城跳转地址 微盟商城id
     */
    private String weimoJumpUrl;

    /**
     * 微盟图片比例
     * 750：750
     */
    private String weimoPicRatio;

    /**
     * 好办展示样式 版本1 版本2 ...
     */
    private Integer showStyle;

    /**
     * 0老模式1新模式
     */
    private Integer combinedType;

    public Long getContentSettingId() {
        return contentSettingId;
    }

    public void setContentSettingId(Long contentSettingId) {
        this.contentSettingId = contentSettingId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getMallJumpFlag() {
        return mallJumpFlag;
    }

    public void setMallJumpFlag(Integer mallJumpFlag) {
        this.mallJumpFlag = mallJumpFlag;
    }

    public Integer getCommunityJumpFlag() {
        return communityJumpFlag;
    }

    public void setCommunityJumpFlag(Integer communityJumpFlag) {
        this.communityJumpFlag = communityJumpFlag;
    }

    public String getShowTitle() {
        return showTitle;
    }

    public void setShowTitle(String showTitle) {
        this.showTitle = showTitle;
    }

    public Integer getCommentFlag() {
        return commentFlag;
    }

    public void setCommentFlag(Integer commentFlag) {
        this.commentFlag = commentFlag;
    }

    public String getCommentGuide() {
        return commentGuide;
    }

    public void setCommentGuide(String commentGuide) {
        this.commentGuide = commentGuide;
    }

    public String getShareCopy() {
        return shareCopy;
    }

    public void setShareCopy(String shareCopy) {
        this.shareCopy = shareCopy;
    }

    public Integer getMallShopType() {
        return mallShopType;
    }

    public void setMallShopType(Integer mallShopType) {
        this.mallShopType = mallShopType;
    }

    public String getWeimoJumpUrl() {
        return weimoJumpUrl;
    }

    public void setWeimoJumpUrl(String weimoJumpUrl) {
        this.weimoJumpUrl = weimoJumpUrl;
    }

    public String getWeimoPicRatio() {
        return weimoPicRatio;
    }

    public void setWeimoPicRatio(String weimoPicRatio) {
        this.weimoPicRatio = weimoPicRatio;
    }

    public Integer getShowStyle() {
        return showStyle;
    }

    public void setShowStyle(Integer showStyle) {
        this.showStyle = showStyle;
    }

    public Integer getCombinedType() {
        return combinedType;
    }

    public void setCombinedType(Integer combinedType) {
        this.combinedType = combinedType;
    }
}
